<?php
/**
 * Orchestrate Checkout Page related logic.
 *
 * Author:          Uriahs Victor
 * Created on:      18/10/2022 (d/m/y)
 *
 * @link    https://uriahsvictor.com
 * @since   1.0.0
 * @package Controllers
 */

namespace Lpac_DPS\Controllers\Checkout_Page;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Lpac_DPS\Models\Order_Details;

/**
 * Class Delivery.
 */
class Order_Data extends Base_Checkout_Page_Controller {

	/**
	 * Orchestrate the saving of our data with our model.
	 *
	 * @param int $order_id The order ID.
	 * @return void
	 */
	public function save_dps_data( int $order_id ): void {

		$order_type = sanitize_text_field( wp_unslash( $_POST['lpac_dps_order_type'] ?? '' ) );

		if ( empty( $order_type ) ) {
			return;
		}

		$date = sanitize_text_field( wp_unslash( $_POST[ "lpac_dps_{$order_type}_date" ] ?? '' ) );
		$time = sanitize_text_field( wp_unslash( $_POST[ "lpac_dps_{$order_type}_time" ] ?? '' ) );

		$data = array(
			'order_id'   => $order_id,
			'order_type' => $order_type,
			'date'       => $date,
			'time'       => $time,
		);

		$order_details_model = new Order_Details();

		if ( ! empty( $date ) || ! empty( $time ) ) {
			$order_details_model->save_order_data( $data );
		}

	}
}
