<?php

/**
 * Save order details related to the plugin in the DB.
 *
 * Author:          Uriahs Victor
 * Created on:      26/10/2022 (d/m/y)
 *
 * @link    https://uriahsvictor.com
 * @since   1.0.0
 * @package Models
 */
namespace Lpac_DPS\Models;

if ( !defined( 'ABSPATH' ) ) {
    exit;
}
use  Lpac_DPS\Models\Base_Model ;
/**
 * Class Order_Details.
 */
class Order_Details extends Base_Model
{
    /**
     * Save our delivery data to the DB.
     *
     * @param array $data The order data to save.
     * @return void
     * @since 1.0.0
     */
    public function save_order_data( array $data ) : void
    {
        $order_id = $data['order_id'];
        $order_type = $data['order_type'];
        $date = $data['date'];
        $time = $data['time'];
        update_post_meta( $order_id, 'lpac_dps_order_type', $order_type );
        if ( !empty($date) ) {
            update_post_meta( $order_id, "lpac_dps_{$order_type}_date", $date );
        }
        if ( !empty($time) ) {
            update_post_meta( $order_id, "lpac_dps_{$order_type}_time", $time );
        }
    }

}