<?php
/**
 * Base view class.
 *
 * Author:          Uriahs Victor
 * Created on:      22/11/2022 (d/m/y)
 *
 * @link    https://uriahsvictor.com
 * @since   1.0.0
 * @package Views
 */

namespace Lpac_DPS\Views;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Lpac_DPS\Models\Base_Model;

/**
 * Class Base_View.
 *
 * @package Lpac_DPS\Views
 */
class Base_View {

	/**
	 * Instance of Base_Model class.
	 *
	 * @var object
	 * @since 1.0.0
	 */
	protected $base_model;

	/**
	 * delivery text string, used throughout views to perform various logic.
	 *
	 * @var string
	 * @since 1.0.6
	 */
	protected $delivery = 'delivery';

	/**
	 * pickup text string, used throughout views to perform various logic.
	 *
	 * @var string
	 * @since 1.0.6
	 */
	protected $pickup = 'pickup';

	/**
	 * Class contructor.
	 *
	 * @return void
	 * @since 1.0.0
	 */
	public function __construct() {
		$this->base_model = new Base_Model();
	}

}
